# Copyright (C) 2009 Nick Bowler
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

lib_LTLIBRARIES += libuobject.la

uobjectdir = $(includedir)/uobject
uobject_HEADERS = uobject/uobject.h uobject/exportable.h uobject/loadable.h \
	uobject/module.h uobject/package.h
noinst_HEADERS += uobject/avl.h

libuobject_la_SOURCES  = uobject/uobject.c uobject/module.c uobject/avl.c \
	uobject/package.c uobject/loadable.c uobject/exportable.c \
	uobject/vfs.c
libuobject_la_CPPFLAGS = $(AM_CPPFLAGS) $(GLIB_CFLAGS) $(LTDLINCL) \
	-DPKGLIBDIR=\"$(pkglibdir)\" -DPKGDATADIR=\"$(pkgdatadir)\"
libuobject_la_LDFLAGS  = $(AM_LDFLAGS) -export-symbols-regex '^u_'
libuobject_la_LIBADD   = $(LIBLTDL) $(GLIB_LIBS) -lgnu
